<?php
require '../conn/conn.php';
require '../conn/function.php';
require 'member_check.php';
$page=$_GET["page"];
$action=$_GET["action"];
$T_id=intval($_GET["T_id"]);

if($page==""){
  $page=1;
}

if($T_id!=""){
  $aa="edit&T_id=".$T_id;
  $sql="select * from sl_tx where T_id=".$T_id." and T_mid=".$M_id;
  $result = mysqli_query($conn, $sql);
  $row = mysqli_fetch_assoc($result);
  if (mysqli_num_rows($result) > 0) {
    $T_title=$row["T_title"];
    $T_content=$row["T_content"];
    $T_content2=$row["T_content2"];
    $T_email=$row["T_email"];
    $T_mobile=$row["T_mobile"];
    $T_time=$row["T_time"];
    $T_long=$row["T_long"];
    $T_times=$row["T_times"];
  }
  $title="编辑";
}else{
  $aa="add";
  $T_long=30;
  $title="新增";
}

if($action=="test"){
  sendmail($T_title,$T_content,$T_email);
  sendsms($T_content2,$T_mobile);
  die("{\"msg\":\"success\"}");
}

if($action=="add"){
  $T_title=$_POST["T_title"];
  $T_content=$_POST["T_content"];
  $T_content2=$_POST["T_content2"];
  $T_email=$_POST["T_email"];
  $T_mobile=$_POST["T_mobile"];
  $T_time=$_POST["T_time"];
  $T_long=abs(intval($_POST["T_long"]));
  $T_times=abs(intval($_POST["T_times"]));

  if($T_title!=""){
    mysqli_query($conn,"insert into sl_tx(T_title,T_content,T_content2,T_email,T_mobile,T_time,T_long,T_times,T_addtime,T_mid) values('$T_title','$T_content','$T_content2','$T_email','$T_mobile','$T_time',$T_long,$T_times,'".date('Y-m-d H:i:s')."',$M_id)");
    $T_id=getrs("select * from sl_tx where T_title='$T_title'","T_id");
    die("{\"msg\":\"success\",\"id\":\"".$T_id."\"}");
  }else{
    die("{\"msg\":\"请填全信息\"}");
  }
}

if($action=="edit"){
  $T_title=$_POST["T_title"];
  $T_content=$_POST["T_content"];
  $T_content2=$_POST["T_content2"];
  $T_email=$_POST["T_email"];
  $T_mobile=$_POST["T_mobile"];
  $T_time=$_POST["T_time"];
  $T_long=abs(intval($_POST["T_long"]));
  $T_times=abs(intval($_POST["T_times"]));

  if($T_title!=""){
  mysqli_query($conn, "update sl_tx set
    T_title='$T_title',
    T_content='$T_content',
    T_content2='$T_content2',
    T_email='$T_email',
    T_mobile='$T_mobile',
    T_time='$T_time',
    T_long=$T_long,
    T_times=$T_times
    where T_id=".$T_id." and T_mid=".$M_id);
    die("{\"msg\":\"success\",\"id\":\"".$T_id."\"}");
  }else{
    die("{\"msg\":\"请填全信息\"}");
  }
}

if($action=="delall"){
  $id=$_POST["id"];
  if(count($id)>0) {
    $shu=0 ;
    for ($i=0;$i<count($id);$i++){
      mysqli_query($conn,"delete from sl_tx where T_id=".intval($id[$i])." and T_mid=".$M_id);
      $shu=$shu+1 ;
      $ids=$ids.$id[$i].",";
    }
    $ids= substr($ids,0,strlen($ids)-1);
    if($shu>0) {
      die("{\"msg\":\"success\",\"ids\":\"".$ids."\"}");
    } else {
      die("{\"msg\":\"删除失败\"}");
    }
  } else {
    die("{\"msg\":\"未选择要删除的内容\"}");
  }
}

$sql="select count(T_id) as T_count from sl_tx";
$result = mysqli_query($conn, $sql);
$row = mysqli_fetch_assoc($result);
$T_counts=$row["T_count"];
?>
<!DOCTYPE html>
<html lang="zh">
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" />
<title>提醒管理 - 后台管理</title>
<link rel="icon" href="../media/<?php echo $C_ico?>" type="image/ico">
<link href="../css/bootstrap.min.css" rel="stylesheet">
<link href="../css/materialdesignicons.min.css" rel="stylesheet">
<link href="../css/style.min.css" rel="stylesheet">
<script type="text/javascript" src="../upload/upload.js"></script>
<link rel="stylesheet" href="../js/jconfirm/jquery-confirm.min.css">
<link rel="stylesheet" href="../js/bootstrap-datepicker/bootstrap-datepicker3.min.css">
<style type="text/css">

.showpic{height: 100px;border: solid 1px #DDDDDD;padding: 5px;}
.showpicx{width: 100%;max-width: 500px}
.list-group a{text-decoration:none}
.part{display:inline-block;width:45%;overflow:hidden;text-overflow:ellipsis;white-space: nowrap;}
.pagination{margin: 0px;}
</style>
</head>
  
<body>
<div class="lyear-layout-web">
  <div class="lyear-layout-container">
  <?php require 'nav.php';?>
    <main class="lyear-layout-content">
      
      <div class="container-fluid">
        
        <div class="row">
                
                <div class="col-lg-6">
                  <form id="list">
                  <div class="card card-primary">

                    <div class="card-header">
                      <h4>提醒列表</h4>
                    </div>
                        <ul class="list-group">
                          <li class="list-group-item " style="background: #f7f7f7"><div class="part">提醒标题</div><div class="part">提醒方式</div></li>
                          <?php 
                            $sql="select * from sl_tx where T_mid=$M_id order by T_id desc limit ".(($page-1)*10).",10";
                                $result = mysqli_query($conn, $sql);
                                if (mysqli_num_rows($result) > 0) {
                                while($row = mysqli_fetch_assoc($result)) {
                                  if($row["T_id"]==$T_id){
                                    $active="active";
                                  }else{
                                    $active="";
                                  }

                                  echo "<div style=\"position:relative;border-top:solid 1px #EEEEEE;\"  id=\"".$row["T_id"]."\">
                                  <a  href=\"?T_id=".$row["T_id"]."\" class=\"list-group-item ".$active."\">
                                  <div class=\"part\">
                                  <div><input type=\"checkbox\" name=\"id[]\" value=\"".$row["T_id"]."\"> ".$row["T_title"]."</div>
                                  <div><i class=\"mdi mdi-account\"></i> ".$M_login."</div>
                                  </div> 
                                  <div class=\"part\">
                                  <div>".$row["T_mobile"]."/".$row["T_email"]."</div>
                                  <div>".$row["T_time"]."（每".$row["T_long"]."天提醒一次，共提醒".($row["T_times"]+1)."次）</div>
                                  </div>
                                  </a>
                                  <a href=\"javascript:;\" onclick=\"test(".$row["T_id"].")\" style=\"position:absolute;right:10px;top:25px;z-index:999\" class=\"btn btn-xs btn-warning\">测试</a>
                                  </div>
                                  ";
                                }
                              }
                          ?>
                          
                        </ul>
                  </div>
                  <label><input type="checkbox" id="selectAll" name="selectAll"> 全选</label>
                  <button class="btn btn-sm btn-danger" type="button" onClick="delall()"><i class="fa fa-times-circle" ></i> 删除所选</button>
                  <a href="tx.php" class="btn btn-sm btn-primary"><i class="fa fa-plus-circle"></i> 新增提醒</a>
                  <ul class="pagination" id="pagination" style="float: right;"></ul>
                  <input type="hidden" id="PageCount" runat="server" />
        <input type="hidden" id="PageSize" runat="server" value="10" />
        <input type="hidden" id="countindex" runat="server" value="10"/>
        <!--设置最多显示的页码数 可以手动设置 默认为7-->
        <input type="hidden" id="visiblePages" runat="server" value="7" />
                </form>
                </div>

                
                <div class="col-lg-6">
                  <form id="form">
                  <div class="card card-primary">
                    <div class="card-header ">
                      <h4><?php echo $title?>提醒</h4>
                    </div>
                    <div class="card-body">

                        <div class="form-group row">
                          <label class="col-md-3 col-form-label" >提醒标题</label>
                          <div class="col-md-9">
                            <input type="text" name="T_title" class="form-control" value="<?php echo $T_title?>">
                          </div>
                        </div>


                        <div class="form-group row">
                          <label class="col-md-3 col-form-label" >接收邮箱</label>
                          <div class="col-md-9">
                            <input type="text" name="T_email" class="form-control" value="<?php echo $T_email?>">
                          </div>
                        </div>

                        <div class="form-group row">
                            <label class="col-md-3 col-form-label" >邮件内容</label>
                            <div class="col-md-9">
                              <textarea class="form-control" name="T_content"><?php echo $T_content?></textarea>
                            </div>
                          </div>

                          <div class="form-group row">
                            <label class="col-md-3 col-form-label" >接收手机</label>
                            <div class="col-md-9">
                              <input type="text" name="T_mobile" class="form-control" value="<?php echo $T_mobile?>">
                            </div>
                          </div>

                          <div class="form-group row">
                            <label class="col-md-3 col-form-label" >短信内容</label>
                            <div class="col-md-9">
                              <textarea class="form-control" name="T_content2"><?php echo $T_content2?></textarea>
                            </div>
                          </div>

                          <div class="form-group row">
                            <label class="col-md-3 col-form-label" >提醒时间</label>
                            <div class="col-md-9">
                              <input class="form-control js-datepicker" name="T_time" value="<?php echo $T_time?>" data-date-format="yyyy-mm-dd" type="text" id="example-daterange1" name="example-daterange1">
                            </div>
                          </div>

                          <div class="form-group row">
                            <label class="col-md-3 col-form-label" >重复次数</label>
                            <div class="col-md-9">
                              <input type="text" name="T_times" class="form-control" value="<?php echo $T_times?>">
                            </div>
                          </div>

                          <div class="form-group row">
                            <label class="col-md-3 col-form-label" >重复周期</label>
                            <div class="col-md-9">
                              <div class="input-group">
                                  <input type="text" name="T_long" class="form-control" value="<?php echo $T_long?>">
                                  <span class="input-group-addon">天</span>
                              </div>
                            </div>
                          </div>
                          
                        <div class="form-group row">
                          <label class="col-md-3 col-form-label" ></label>
                          <div class="col-md-9">
                            <button class="btn btn-info" type="button" onClick="save()"><?php echo $title?></button>
                          </div>
                        </div>
                    </div>
                  </div>
                  </form>
                </div>
              </div>
        
      </div>
      
    </main>
    <!--End 页面主要内容-->
  </div>
</div>

<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/bootstrap.min.js"></script>
<script type="text/javascript" src="../js/perfect-scrollbar.min.js"></script>
<script type="text/javascript" src="../js/main.min.js"></script>
<script src="../js/bootstrap-datepicker/bootstrap-datepicker.min.js"></script>
<script src="../js/bootstrap-datepicker/locales/bootstrap-datepicker.zh-CN.min.js"></script>

<script src="../js/bootstrap-notify.min.js"></script>
<script type="text/javascript" src="../js/lightyear.js"></script>
<script src="../js/jqPaginator.min.js" type="text/javascript"></script>
<script src="../js/help.js" type="text/javascript"></script>
<script src="../js/jconfirm/jquery-confirm.min.js"></script>
<script type="text/javascript">

  function loadData(num) {
            $("#PageCount").val("<?php echo $T_counts?>");
        }
function loadpage(id) {
    var myPageCount = parseInt($("#PageCount").val());
    var myPageSize = parseInt($("#PageSize").val());
    var countindex = myPageCount % myPageSize > 0 ? (myPageCount / myPageSize) + 1 : (myPageCount / myPageSize);
    $("#countindex").val(countindex);

    $.jqPaginator('#pagination', {
        totalPages: parseInt($("#countindex").val()),
        visiblePages: parseInt($("#visiblePages").val()),
        currentPage: id,
        first: '<li class="first page-item"><a href="javascript:;" class="page-link">|<</a></li>',
        prev: '<li class="prev page-item"><a href="javascript:;" class="page-link"><i class="arrow arrow2"></i><</a></li>',
        next: '<li class="next page-item"><a href="javascript:;" class="page-link">><i class="arrow arrow3"></i></a></li>',
        last: '<li class="last page-item"><a href="javascript:;" class="page-link">>|</a></li>',
        page: '<li class="page page-item"><a href="javascript:;" class="page-link">{{page}}</a></li>',
        onPageChange: function (num, type) {
            if (type == "change") {
                window.location="?page="+num;
            }
        }
    });
}
$(function () {
    loadData(<?php echo $page?>);
    loadpage(<?php echo $page?>);

});

    function save(){
      lightyear.loading('show');
        $.ajax({
                url:'?action=<?php echo $aa?>',
                type:'post',
                data:$("#form").serialize(),
                success:function (data) {
	                data=JSON.parse(data);
	                lightyear.loading('hide');
	                if(data.msg=="success"){
	                	lightyear.notify('保存成功', 'success', 100);
	                	setTimeout("window.location.href='?T_id="+data.id+"'", 2000 )
	                }else{
	                  	lightyear.notify(data.msg, 'danger', 100);
	                }
                }
              });
      }
      function test(id){
        lightyear.loading('show');
        $.ajax({
                url:'?action=test&T_id='+id,
                success:function (data) {
                  data=JSON.parse(data);
                  lightyear.loading('hide');
                  if(data.msg=="success"){
                    lightyear.notify('已发送提醒', 'success', 100);
                  }else{
                      lightyear.notify(data.msg, 'danger', 100);
                  }
                }
            });
      }

      function delall() {

    $.alert({
        title: '确认删除',
        content: '确认删除？',
    buttons: {
      confirm: {
        text: '确认',
        btnClass: 'btn-primary',
        action: function(){
          $.ajax({
            url: '?action=delall',
            type: 'post',
            data: $("#list").serialize(),
            success: function(data) {
                data = JSON.parse(data);
                if (data.msg == "success") {
                	lightyear.notify('删除成功', 'success', 100);
                    id = data.ids.split(",");
                    for (var i = 0; i < id.length; i++) {
                        $("#" + id[i]).hide();
                    };
                } else {
                	lightyear.notify(data.msg, 'danger', 100);

                }
            }
        });
        }
      },
      cancel: {
        text: '取消',
        action: function () {

        }
      }
    }
    });

}

$('input[name="selectAll"]').on("click",function(){
        if($(this).is(':checked')){
            $('input[name="id[]"]').each(function(){
                $(this).prop("checked",true);
            });
        }else{
            $('input[name="id[]"]').each(function(){
                $(this).prop("checked",false);
            });
        }
    });
  var path=window.location.pathname;
  $("a").each(function(){
    if(path.indexOf($(this).attr("href"))!=-1){
      console.log($(this).attr("href"));
      $(this).parent("li").addClass("active");
      $(this).parent("li").parent("ul").parent("li").addClass("open active");
    }
  });
</script>
</body>
</html>